#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#define int long long
using namespace std;
using namespace __gnu_pbds;
__int128 find_sum(__int128 A, __int128 B) {
    return A + B;
}
/*signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n; cin >> n;
    cc_hash_table<int, int> mp;

    return 0;
}*/
